/*
 * Script to create the database for 
 */
DROP DATABASE IF EXISTS tafdb;

COMMIT;

CREATE DATABASE tafdb;

USE tafdb;

/*
 * Procedure to drop user (if it exists), create the user
 * and assign authorities for the Single User installation.  
 */
DROP PROCEDURE IF EXISTS `SingleUser`;

delimiter $$

CREATE DEFINER=`root`@`localhost` PROCEDURE `SingleUser`()

BEGIN
  DECLARE count BIGINT DEFAULT 0 ;

  SELECT COUNT(*)
    INTO count
    FROM mysql.user
   WHERE User = 'tafuser'
     AND Host = 'localhost' ;

  IF count > 0 THEN
     DROP USER 'tafuser'@'localhost';
  END IF;

  CREATE USER 'tafuser'@'localhost' IDENTIFIED BY 'password';

  GRANT SELECT, INSERT, UPDATE, DELETE ON tafdb.* TO 'tafuser'@'localhost';

END$$

delimiter ;

CALL `SingleUser`;

